/**
 * 
 */
package org.springblade.config;

import org.springblade.report.support.BladexDataSourceProvider;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DataSourceProperty;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceProperties;

/**
 * @author wookvn
 *
 */
@Configuration
public class GemtryBiConfig {

	/**
	 * 初始化动态数据源
	 * @return
	 */
	@Bean
	public BladexDataSourceProvider bdsProvider(DynamicDataSourceProperties dynamicDataSourceProperties) {
		DataSourceProperty master = dynamicDataSourceProperties.getDatasource().get(dynamicDataSourceProperties.getPrimary());
		return new BladexDataSourceProvider(
			dynamicDataSourceProperties,
			master.getUrl(),
			master.getUsername(),
			master.getPassword());
	}
}
