/**
 * 
 */
package org.springblade.resouces;

import org.springblade.bi.client.CubeTableColumnClient;
import org.springblade.bi.client.model.CubeTableColumnModel;
import org.springblade.cube.model.CubeTableColumn;
import org.springblade.cube.service.CubeTableColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import cn.hutool.core.bean.BeanUtil;

/**
 * @author wookvn
 *
 */
@RestController
public class CubeTableColumnResource implements CubeTableColumnClient {

	@Autowired
	private CubeTableColumnService cubeTableColumnService;
	
	@Override
	public CubeTableColumnModel getById(Integer id) {
		CubeTableColumn tableColumn = cubeTableColumnService.getById(id);
		CubeTableColumnModel tableColumnModel = BeanUtil.copyProperties(tableColumn, CubeTableColumnModel.class, "viewDataType");
		tableColumnModel.setViewDataType(tableColumn.getViewDataType().getValue());
		return tableColumnModel;
	}

}
