/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

import org.springblade.cube.model.CubeData;
import org.springblade.report.entity.ReportDatasource;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QuerySqlParam implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String querySql;
	
	private CubeData cubeData;
	
	private ReportDatasource reportDatasource;
	
	private List<ComponentColumn> columnList;
	
	private Set<Integer> columnIdList;
	
	private Set<Integer> excludeColumnIdList;
}
