/**
 * 
 */
package org.springblade.subscribe.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
public enum DataType {

	visual(0, "大屏"),
	report(1, "报告");
	
	@EnumValue
	private final int value;
	private final String message;
	/**
	 * @param value
	 * @param message
	 */
	private DataType(int value, String message) {
		this.value = value;
		this.message = message;
	}
}
