/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.enums.CommonFunctionEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("过滤器条件")
@AllArgsConstructor
@NoArgsConstructor
public class ComponentFilterCondition implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("函数方法")
	private CommonFunctionEnum function;
	
	@ApiModelProperty("数值列表")
	private List<Object> values;
	
}
