/**
 * 
 */
package org.springblade.bi.client;

import org.springblade.bi.client.factory.CubeTableColumnClientFallbackFactory;
import org.springblade.bi.client.model.CubeTableColumnModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author wookvn
 *
 */
@RequestMapping(OpenFeignConstants.BI_SERVICE + "/cubeTableColumn")
@FeignClient(contextId = "cubeTableColumnClient", 
	value = OpenFeignConstants.BI_SERVICE, 
	fallbackFactory = CubeTableColumnClientFallbackFactory.class)
public interface CubeTableColumnClient {

	@GetMapping("/info/{id}")
	public CubeTableColumnModel getById(@PathVariable Integer id);
}
