
-- 20230104 - 畅玉春 - 订阅相关配置
INSERT INTO visual_subscribe_notify_conf (attri_key,attri_value,attri_name,notify_type) VALUES
	 ('corp_id','','企业微信id',1),
	 ('corp_secret','','企业微信secret',1),
	 ('agent_id','','应用id',1),
	 ('app_secret','','应用secret',1),
	 ('water_mark','0','是否开启水印',100),
	 ('water_mark_type','','水印内容',100),
	 ('water_mark_content','','自定义',100),
	 ('username','','发送邮箱',0),
	 ('password','','授权码',0),
	 ('smtp','','smtp',0),
	 ('agent_id','','钉钉应用id',2),
     ('app_key','','钉钉应用app_key',2),
     ('app_secret','','钉钉应用secret',2),
     ('app_id','','飞书应用id',3),
     ('app_secret','','飞书应用密钥',3);

-- 20230104 - 畅玉春 - 生成短链接code
CREATE TABLE `visual_short_code_generator` (
`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
`code_num` bigint(20) DEFAULT NULL COMMENT 'code码',
PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1586763903196160003 DEFAULT CHARSET=utf8mb4;

-- 20230104 - 畅玉春 - 删除订阅表上的data_id索引
drop index data_id on visual_subscribe;

-- 20230109 - 王坤 - 我的收藏模块功能修正
create table visual_classify_favourite(
    id int primary key auto_increment,
    classify_name varchar(100) not null comment '分类名称',
    sort_num int default 0 comment '排序号',
    create_user_id bigint not null comment '创建人ID',
    create_time datetime not null comment '创建时间'
) comment '我的收藏-分类表';

alter table visual_data add column visual_type tinyint not null default 0 comment '大屏类型(0-普通大屏/1-我的收藏/2-我的报告)';

alter table visual_classify 
add column create_time datetime not null default now() comment '创建时间',
drop column is_deleted, drop column category_key, drop column classify_type;

-- 20230111 - 王坤 - API分类和API接口数据添加createUserId
alter table data_api add column create_user_id bigint not null comment '创建人ID';
alter table data_api_category add column create_user_id bigint not null comment '创建人ID';
alter table visual_warning add column create_user_id bigint not null comment '创建人ID';

-- 20230129 - 王坤 - 数据源添加createUserId
ALTER TABLE `report_datasource` 
ADD COLUMN `create_user_id` bigint NULL COMMENT '创建人ID' AFTER `create_time`;

-- 20230130 - 王坤 - 添加短信配置表
drop table if exists `blade_sms`;
CREATE TABLE `blade_sms` (
  `id` int PRIMARY KEY AUTO_INCREMENT COMMENT '主键',
  `category` int(2) NOT NULL COMMENT '分类',
  `template_id` varchar(64) NOT NULL COMMENT '模板ID',
  `access_key` varchar(255) NOT NULL COMMENT 'accessKey',
  `secret_key` varchar(255) NOT NULL COMMENT 'secretKey',
  `region_id` varchar(255) DEFAULT NULL COMMENT 'regionId',
  `sign_name` varchar(64) NOT NULL COMMENT '短信签名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint(64) NOT NULL COMMENT '创建人',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `template_content` varchar(500) NOT NULL COMMENT '模板内容',
  `template_params` varchar(500) DEFAULT NULL COMMENT '模板参数',
  `status` int(2) NOT NULL DEFAULT '1' COMMENT '状态',
  `template_name` varchar(50) NOT NULL COMMENT '模版名称',
  `app_id` varchar(50) DEFAULT NULL COMMENT '腾讯云SDKappID'
) comment '短信配置';

-- 20230130 - 王坤 - 修改智能预警表
alter table visual_warning 
add column sms_params json comment '短信变量参数',
add column sms_id int comment '短信模版ID',
add column job_id int comment 'XXLJOB任务ID',
add column visual_data_json json comment '大屏列表基础信息JSON',
drop column message_template_id;